Module jdk.jdi
Package com.sun.jdi.event

## Interface StepEvent

All Superinterfaces:
  Event, Locatable, LocatableEvent, Mirror

    public interface StepEvent
    extends LocatableEvent

Notification of step completion in the target VM. The step event is generated immediately before the code at its location is executed; thus, if the step is entering a new method (as might occur with `StepRequest.STEP_INTO`) the location of the event is the first instruction of the method. When a step leaves a method, the location of the event will be the first instruction after the call in the calling method; note that this location may not be at a line boundary, even if `StepRequest.STEP_LINE` was used.

Since:
  1.3
See Also:
  `StepRequest`, `EventQueue`

### Method Summary

### Methods inherited from interface com.sun.jdi.event.Event

`request`

### Methods inherited from interface com.sun.jdi.Locatable

`location`

### Methods inherited from interface com.sun.jdi.event.LocatableEvent

`thread`

### Methods inherited from interface com.sun.jdi.Mirror

`toString, virtualMachine`